import pickle
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sb

with open('../simple_Q4/SimpleQ4b0b1.pkl', 'rb') as f:
    Sb0s, Sb1s = pickle.load(f)
with open('MixQ4b0b1.pkl', 'rb') as f:
    Mb0s, Mb1s = pickle.load(f)

sb.kdeplot(Sb0s, label = 'Simple')
sb.kdeplot(Mb0s, label = 'Mix')
plt.title('Posterior Distribution of b0\nQ6 on Q4', fontsize = 16)
plt.legend(fontsize = 16)
plt.show()

sb.kdeplot(Sb1s, label = 'Simple')
sb.kdeplot(Mb1s, label = 'Mix')
plt.title('Posterior Distribution of b1\nQ6 on Q4', fontsize = 16)
plt.legend(fontsize = 16)
plt.show()
