data {
    int n;
    vector[n] y;
    vector[n] x;
}
parameters {
    real b0;
    real b1;
    real<lower=0> sgm;
}
model {
    b0 ~ normal(0, 100);
    b1 ~ normal(0, 100);
    sgm ~ exponential(0.01);
    y ~ normal(b0 + b1*x, sgm);
}
