import pandas as pd
import numpy as np
#import scipy.stats as ss
import pickle
import arviz as az
import matplotlib.pyplot as plt
import japanize_matplotlib

"""
           Excelファイルからの読み込み
"""

in_file_name = 'Q4.xlsx'   # input('入力データファイル(*.xlsx) = ')
xlsx = pd.ExcelFile(in_file_name)
data_xlsx = pd.read_excel(xlsx)

y = data_xlsx.values.T[1]
print(y)
x = data_xlsx.values.T[2]
print(x)
n = len(y)

with open('temp.pkl', 'rb') as f:
    d_frm, i_data = pickle.load(f)

min_x = np.min(x)
max_x = np.max(x)
b0 = np.median(d_frm['b0'])
b1 = np.median(d_frm['b1'])
plt.plot([min_x, max_x], [b0 + b1*min_x, b0 + b1*max_x])
plt.title(f'b0 = {b0:.3f},   b1 = {b1:.3f}', fontsize = 20)
plt.plot(x, y, 'o')
plt.show()

with open('SimpleQ4b0b1.pkl', 'wb') as f:
    pickle.dump((d_frm['b0'], d_frm['b1']), f)

